petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatCUSPARSESetFormat

Sets the storage format of CUSPARSE matrices for a particular operation. Only the MatMult operation can use different GPU storage formats for MPIAIJCUSPARSE matrices. Not Collective

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCUSPARSESetFormat(Mat A,MatCUSPARSEFormatOperation op,MatCUSPARSEStorageFormat format)

### Input Parameters

| A | - Matrix of type SEQAIJCUSPARSE
| op | - MatCUSPARSEFormatOperation. SEQAIJCUSPARSE matrices support MAT_CUSPARSE_MULT and MAT_CUSPARSE_ALL. MPIAIJCUSPARSE matrices support MAT_CUSPARSE_MULT_DIAG, MAT_CUSPARSE_MULT_OFFDIAG, and MAT_CUSPARSE_ALL.
| format | - MatCUSPARSEStorageFormat (one of MAT_CUSPARSE_CSR, MAT_CUSPARSE_ELL, MAT_CUSPARSE_HYB. The latter two require CUDA 4.2)

### Output Parameter

### See Also

MatCUSPARSEStorageFormat, MatCUSPARSEFormatOperation

### Level

intermediate

### Location

src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu

### Implementations

MatCUSPARSESetFormat_MPIAIJCUSPARSE in src/mat/impls/aij/mpi/mpicusparse/mpiaijcusparse.cu
MatCUSPARSESetFormat_SeqAIJCUSPARSE in src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages